#include <stdio.h>

int main(int argc, char** argv)
{
	if (argc < 2)
	{
		puts("Please speify a filename to dump.");
		return 1;
	}

	FILE* f;
	if (fopen_s(&f, argv[1], "rb"))
	{
		printf ("Failed to open input file '%s'\n", argv[1]);
		return 2;
	}

	size_t len;
	unsigned char buffer[16];
	while((len = fread(buffer, 1, 16, f)) != 0)
	{
		printf("\tdb\t");
		for (size_t i = 0; i < len; ++i)
		{
			if (i) printf(", ");
			printf("$%02x", buffer[i]);
		}
		printf("\n");
	}


	fclose(f);
	return 0;
}
